PHP-инклюдинг в LightOpenCMS

Дата публикации:
06.01.2010
Дата изменения:
06.01.2010
Всего просмотров:
1238
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
LightOpenCMS 0.x
Уязвимые версии: LightOpenCMS 0.1, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "cwd" в сценарии smarty.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/smarty.php?cwd=[shell.txt]?%00

URL производителя: sourceforge.net/projects/lightopencms/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://www.exploit-db.com/exploits/11003

или введите имя

CAPTCHA